## ThunarSendtoModel ThunarSendtoModel |

## Functions

ThunarSendtoModel * | thunar_sendto_model_get_default ()
GList * | thunar_sendto_model_get_matching ()

## Object Hierarchy

        GObject
        ╰── ThunarSendtoModel

## Description

## Functions

### thunar_sendto_model_get_default ()

    ThunarSendtoModel *
    thunar_sendto_model_get_default (void);

Returns a reference to the default ThunarSendtoModel instance. The caller is responsible to free the returned reference using `g_object_unref()` when no longer needed.

#### Returns

reference to the default sendto model.

### thunar_sendto_model_get_matching ()

    GList *
    thunar_sendto_model_get_matching (ThunarSendtoModel *sendto_model,
                                      GList *files);

Returns the list of GAppInfos for the "Send To" targets that support the specified `files` .

The returned list is owned by the caller and must be freed when no longer needed, using:

    1
    g_list_free_full (list, g_object_unref);

#### Parameters

sendto_model | a ThunarSendtoModel. |
files | a GList of ThunarFiles. |

#### Returns

a GList of supported GAppInfos as "Send To" targets for the specified `files` .